*COMDECK HISTORY FDBA020  TO STORE THE BWP AND BCP OF THE SUB-SCHEMA RECORD IN THE FIT -000120
          DDLF AND DML                                                  000130
          REF    8/14/78     CBINDEX,DMLMAIN                            000140
 DL3A066  CODE TO FIX THE BAD MAPPING CAPSULE GENERATED FOR             000120
          WRITING VECTORS.                                              000130
          JGS    78/06/27          GLC,MAPWR,COMDLOOP                   000140
                                                                        000150
 FDBA026  TO STORE CORRECT REALM ORDINAL IN FIT LIST FOR                000054
          RELATIONS WITH MORE THAN TWO REALMS                           000056
          REF    8/31/78     DMLMAIN                                    000058
 F2827DL3 CODE TO THE RECORD MAPPER TO RETURN THE SUBSCHEMA ITEM
          ORDINAL TO CDCS ON RECORD MAPPING ERRORS. 
          JGS    78/28/08    DDLCG,GEN,MAPWR
  
 FDBA027  TO STORE CORRECT DATA NAME AND SIZE IN RELATION USAGE LIST
          DDLF AND DML
          REF    9/20/78     RELSTAT,DMLMAIN
 F2631DL3B MODIFICATIONS TO THE DDL 3.0 CHECKSUM CODE.
           THE *B* RESPONSE REPRESENTS MODS TO COBOL SUBSCHEMA ONLY.
          IJB    9/6/78      CBSSLIB
F2827DL3F THIS CODE PERFORMS THE GARBAGE COLLECTION ON FORTRAN SUBSCHEMA
          LIBRARY FILES.  IT IS TRIGGERED BY THE NL=LFN PARAMETER ON THE
          DDL CONTROL CARD.  LFN IS THE NAME OF THE NEW SUBSCHEMA 
          LIBRARY GENERATED AFTER THE GARBAGE COLLECTION HAS BEEN DONE. 
          PAM    09/18/78    ARG,CNTRL,CBIO,CBSSLIB 
 FDBA030  TO RESTORE KA IN FIT ON MULTIPLE INVOKES
          REF    9/29/78     DMLINV 
 FDBA028  TO CORRECT COLUMN IN WHICH DIAGNOSTIC 143 APPPEARS
          IN OUTPUT LISTING 
          REF    12/29/78    CBDIAGM
F2827D3AA THE *A* RESPONSE REPRESENTS CODE ADDED TO THE (0,0) OVERLAY 
          FOR IMPLEMENTATION OF THE MULTIPLE COMPILE CAPABILITY IN
          THE FORTRAN SUBSCHEMA PROCESSOR.
          IJB    9/23/78     CNTRL,CTLIO
 F2827D3AB THE *B* RESPONSE REPRESENTS CODE ADDED TO THE (5,0),(5,1), 
          (5,3) OVERLAYS FOR IMPLEMENTATION OF THE MULTIPLE COMPILE 
          CAPABILITY IN THE FORTAN SUBSCHEMA PROCESSOR. 
          IJB    9/23/78     CBMAIN,CBPASS1,CBSYN,CBPASS3 
                             CBDIAG,CBDIAGM 
 F2827D3AC THE *C* RESPONSE REPRESENTS CODE ADDED TO THE (7,0)
          OVERLAY FOR IMPLEMENTATION OF THE MULTIPLE COMPILE
          CAPABILITY IN THE FORTRAN SUBSCHEMA PROCESSOR.
          IJB    9/23/78     CBSSLIB
 F2827D3AD THE *D* RESPONSE REPRESENTS ENHANCEMENTS TO THE MULTIPLE 
          COMPILE FEATURE.
          IJB    9/28/78     CBSSLIB,CTLIO
 FDBA029  TO DIAGNOSE MISSING SUBSCRIPT ON A RESTRICT DBI 
          WHICH IS A VECTOR 
          REF    9/27/78     CBPASS3
 FDBA032  TO RETRIEVE RELATION STATUS FROM THE FITLIST
          RATHER THAN FROM THE FIT SO CDCS STATUS CODES ARE INCLUDED
          REF    10/10/78    DMLRLK 
 FDBA033  TO SET PRIVACY OPTIONS CONSISTENT WITH
          THOSE EXPECTED BY CDCS
          REF    10/10/78    DMLMAIN, DMLPRV
 FDBA031  TO INITIALIZE DIMENSION FOR RELATION
          USAGE LIST TO NUMBER OF RELATIONS IN SUBSCHEMA
          REF    10/6/78     RELSTAT
 FDBA034  CODE TO FIX THE PROBLEM OF GETTING CRM ERROR 60 ON
          FILES ZZZZZS1 AND ZZZZZS2. THIS CODE ALSO FIXES THE 
          PROBLEM OF GETTING CRM ERROR 40 ON ZZZZZS1 AND ZZZZZS2
          AS A RESULT OF MULTIPLE COMPILE 
          JGS    77/10/17    CTLIO
  
 FDBA035  TO ADD PROLOGUES AND COMMENTARY 
          REF    10/17/78    DMLCLS,DMLDEL,DMLEND,DMLINV,DLLLCK,DMLOPN, 
                             DMLPRV,DMLRD,DMLRDK,DMLREW,
                             DMLRL,DMLRLK,DMLUNL,DMLWRT 
 FDBA039  TO ISSUE CORRECT MESSAGE WHEN ABORT IS DUE TO 
          INSUFFICIENT FIELD LENGTH 
          REF    10/17/78    DMLMAIN
 FDBA037  FIX THE PROBLEM OF NOT BEING ABLE TO HAVE MULTIPLE
          SUBSCRIPTS ON A RESTRICT ITEM 
          ALSO CHANGE SOME DIAGNOSTICS TO BE MORE MEANINGFUL
          TO THE FORTRAN PROGRAMMER 
          JGS    78/10/26    CBRSYN,CBRDAGM 
  
 DL3A012  TO CORRECT THE PROBLEM IN GENERATING THE RIGHT INFORMATION    000690
          IN THE COBOL SUBSCHEMA DIRECTORY FOR INDEXED BY OPTION.       000700
          IJB    10/20/78    CBPASS1                                    000710
 DL3A073  ENSURE THAT NO RECORD MAPPING IS REQUIRED FOR SUBSCHEMA       000694
          ITEMS OF DATA CLASS \ 10 WITH THE SIGN SPECIFIER IN THE       000695
          PICTURE DEFINITION.                                           000696
          IJB    11/1/78     CBCKEL                                     000697
 DL3A071  TO CORRECT THE PROBLEM OF DDL3 NOT RECOGNIZING INCORRECT      000703
          ORDER OF CONCATENATED KEYS IN THE SUBSCHEMA.                  000704
          PAM    10/16/78    CBERROR,CBBLDDC                            000705
 DL3A075  TO CORRECT THE PROBLEM OF THE COBOL SUBSCHEMA MODING OUT      000717
          DURING RECORD MAPPING WHEN GROUP ITEMS NOT DEFINED IN THE     000718
          SCHEMA HAVE THE SAME NAME.                                    000719
          IJB    10/12/78    CBCKREC                                    000720
 DL3A084  TO CORRECT THE PROBLEM OF RECORD ORDINALS NOT BEING STORED    000728
          IN THE RECORD CODE ENTRY IN THE COBOL SUBSCHEMA.              000729
          IJB    10/27/78    CBBLDDC                                    000730
 F2827D3DD THE *D* RESPONSE REPRESENTS CODE IN THE RECORD MAPPER,       000737
          OVERLAY (6,N), FOR THE SUPPORT OF EXTENDED DA/AK FO.          000738
          IJB    11/8/78     MAPKEY                                     000739
 F2827D3FA TO CORRECT THE PROBLEM OF DDL3 NOT DIAGNOSING AN             000743
          UNEQUIVALENCED NL PARAMETER IN THE DDL CONTROL CARD.          000750
          PAM    11/30/78          ARG                                  000760
 F2827D3FB TO CORRECT THE PROBLEM OF THE INPUT FILE BEING ADVANCED TO 
          THE NEXT *EOR* DURING GARBAGE COLLECT.
          IJB    12/15/78     CTLIO 
          PROBLEM -  INVALID STATEMENTS FOLLOWING END ARE NOT DETECTED
                     WITH 213 DIAGNOSTIC. 
          SOLUTION - ALTER SYNGEN END ROUTINE TO CHECK FOR INVALID
                     STATEMENTS FOLLOWING END.
          DTC    01/22/78    CBSYN,CBRSYN 
          SRN=82518 
  
 F31JS01  FIX BUG INTRODUCED BY COMPRESSION/DECOMPRESSION AND 
          UNCOVERED BY AK TESTING. FIT WORD HAS BEEN MOVED FROM 
          WORD 4 TO WORD 6 OF THE DATA CONTROL HEADER.
          JGS    79/01/03    SBDCHDDCL
  
 F31IB03  MOVE FIELD * SBCWSBHDRPTR * IN COMDECK SBCWDECLS TO 
          ACCOMODATE THE QU SUBSCHEMA LIBRARY FEATURE REQUIREMENTS. 
          IJB    1/18/79     SBCWDECLS
 DL3A090  TO CORRECT THE PROBLEM OF DDL3 NOT CHECKING IF THE
          CONCATENATED KEY IN THE SUBSCHEMA IS A NON-REPEATING GROUP
          ITEM. 
          PAM    1/3/79      CBBLDDC
 DL30003  MAPKEY GETS MODE 1 PROCESSING MAJOR KEY IF PART OF A
          REDEFINED KEY. (SCIP = 0) 
          JGS    78/12/19    MAPKEY 
  
FDBA053   TO RETRIEVE FIT FIELDS FROM DATA CONTROL ENTRY FOR
          AK FILES SO FIT WILL REFLECT SCHEMA KEY DESCRIPTION 
          REF    1/26/79     CBINDEX,DMLMAIN
 F31JS02  FIX DECLARATION IN SBCWDECLS FOR SUB-SCHEMA DATE AND TIME 
          JGS    79/01/26    SBCWDECLS
  
 FDBA054  PROBLEM - WITH MULTIPLE COMPILE CAPABILITY, DDLF ALLOWS A 
                    SUBSCHEMA STATEMENT TO FOLLOW THE END CAUSING 
                    DIAGNOSTICS 213 AND 432 TO BE INCORRECT.
          SOLUTION - CORRECT DIAGNOSTICS AND SUBMIT BSL TO CORRECT
                     REFERENCE MANUAL.
          DTC    02/08/79    CBDIAGM,CBRDAGM
          SRN=(82587) 
  
 FDBA055  PROBLEM - INVALID STMT AFTER END GENERATES DUPLICATE
                    DIAGNOSTICS.
          SOLUTION - AFTER DETECTING INVALID STMTS CHECK FOR EOS TO 
                     BE CERTAIN OF REACHING NEXT STMT.
          DTC    02/09/79    CBSYN,CBRSYN 
          SRN=(82384) 
  
 FDBA058  TO RETRIEVE KEY DESCRIPTION FROM FIT FOR AK FILES 
          ONLY IF THE SPECIFIED KEY IS THE PRIMARY KEY. 
          REF    2/20/79     DMLMAIN,DMLRDK,DMLRLK
 FDBA038  PROBLEM - INCORRECT ITEM DESCRIPTION YIELDS INCORRECT ADDRESS 
                    FOR HASH ENTRIES CAUSING DIAGNOSTIC 411 (INVALID USE
                    OF DBI) TO GO UNDETECTED. 
          SOLUTION - CORRECT DESCRIPTION OF ITEM (HASHENTRY)
          DTC    02/27/79    CBPASS3
          SRN=(ST0538)
  
 F31PM02  TO CALCULATE THE LWA OF 7,0 OVERLAY FROM THE FOL DIRECTORY    000120
          PAM    2/22/79     ,CNTRL,CREATEB,LOADOVL                     000130
 F31PM03  TO CHANGE EXTERNAL REFERENCES SO THEY MATCH THE ENTRY POINTS  000420
          IN COMPASS COMMON COMMON DECKS                                000430
          PAM    3/2/79      CTLIO,XCDD,XCOD,ARG,OCTAL                  000440
 F31IB04  INCORPORATES SYMPL TEXTS INTO DDLF.                           002230
          IJB    3/2/79      DLSCHMA,DLSIZE,DCSYNX,DLRELN,CSSYNX        002240
                             DLHASH                                     002250
                             CBPASS1,CBSIZE,CBINDEX,RELSTAT             002260
                             ALL PASS 2 SYMPL DECKS,CBPASS3,CBSSLIB     002270
 F54      TO CONVERT COD AND CDD CALLS TO USE COMMON COMMON DECKS       000130
          REF    4/11/79     DMLIO                                      000140
 LOADCID  PROBLEM - CID CANNOT BE INVOKED FOR OVERLAYS. 
          SOLUTION - SET UP A CALL TO CID BEFORE THE NEW OVERLAY IS 
                     JUMPED TO. THIS CALL IS ONLY IN EFFECT IF DEBUG
                     HAS BEEN DESIGNATED *ON* DURING LOAD AND CID HAS 
                     DEFINED DURING UPDATE. 
          DTC    04/14/79    LOADOVL
  
 P173     PROBLEM - DIAGNOSTIC 306 EXTENDS BEYOND 80 CHARACTERS CAUSING 
                    CBERROR TO PRINT D306 AND D307. 
          SOLUTION - ADJUST DIAGNOSTIC 306. 
          DTC    03/08/79    CBERROR
          SRN=(P173)
  
FDBA059  TO INCORPORATE DL3A093 
 DL3A093  TO CORRECT THE PROBLEM OF SUBSCHEMA CHECKSUMS CHANGING FOR
          IDENTICAL SUBSCHEMAS. 
          IJB    3/19/79     CBBLDDC
  
 FDBA041  PROBLEM - DIAGNOSTIC 314 DOES NOT IDENTIFY THE ITEM BEING 
                    REFERENCED. 
          SOLUTION - PASS THE ITEM NAME AND LENGTH TO CBERROR TO ALLOW
                     TO PRINT THE ITEM NAME.
          DTC    03/06/79    CBCKEL,CBERROR 
          SRN=(PLD038)
  
 FDBA047  PROBLEM - SYNGEN SYNTAX ROUTINE FAILS TO DIAGNOSE MISSING 
                    PARENTHESIS IN RESTRICT STATEMENT 
          SOLUTION - CREATE MISSING PARENTHESIS ERRORS(442 AND 443) 
                     ALTER SYNGEN TO FLAG RIGHT AND LEFT PARENTHESIS. 
                     CREATE ROUTINES IN PASS 3 TO CHECK PARENTHESIS.
          DTC    02/01/79    CBRSYN,CBRDAGM,CBPASS3 
          SRN = (82519) 
  
  
 P177     TO FIX FOL CODE(F31PM03) WHICH WAS INCORRECTLY APPLIED        000200
          REF    5/1/79      CREATEB,CNTRL                              000210
 FT52     FTN 5 ARRAY SUPPORT. RECOGNIZE NEW SYNTAX, UP TO 7 DIMENSIONS,
          HIGH AND LOW BOUNDS, NEGATIVE SUBSCRIPTS. CHANGE RESTRICT 
          STATEMENT SO THAT DBI SUBSCRIPTS MUST NOW CONFORM TO THE
          SUBSCHEMA REPRESENTATION OF THE ITEM RATHER THAN THE SCHEMA 
          REPRESENTATION. 
          PAM   4/6/79      CBMAIN,CBPASS1,CBCKBUF,CBPASS3,CBSYN
                            CBDIAGM,CBRDAGM,CBRSYN,CBPASS2
 FT53     PROBLEM - ALTER LEXICAL SCANNING ROUTINE TO SUPPORT 
                    FORTRAN VERSION 5 SYNTAX. 
          SOLUTION - 1. DEFINE DDLCOMP, F4 AND F5 
                     2. IF FTN5 DO NOT RECOGNIZE $ AS A COMMENT CHAR
                     3. IF FTN5 DO NOT ALLOW BLANK LINES TO BREAK 
                        CONTINUATION
                     4. IF FTN5 RECOGNIZE SINGLE QUOTES AS CHARACTER
                        CONSTANT DELIMITER
          DTC    04/23/79    CTLSCAN
  
 FT51     PROBLEM - FDBF - FORTRAN VERSION 5 FEATURE CODE 
                    1. ALTER FDBF TO RECOGNIZE *F5* PARAMETER ON FDBF 
                       AND DML CONTROL CARDS
                    2. DIAGNOSE INCONSISTENCY OF FTN VERSIONS BETWEEN 
                       SUBSCHEMA AND DML
                    3. ALTER DML GENERATED STMTS FOR FTN5 COMPATIBILITY 
          SOLUTION - ARG       - RECOGNIZE *F5* PARAMETER ON DDLF 
                                 CONTROL CARD. CHECK FOR DUPLICATE
                                 PARAMETERS.
                     CBINDEX   - ALTER FIT DATA STMTS TO BE COMPATIBLE
                                 WITH FTN5
                     CBPASS1   - SET SUBSCHEMA TYPE TO "FT4" OR "FT5" 
                     CBSYN     - DELETE UNUSED CALLING SWITCHES 
                     CNTRL     - ENABLE *F5* AS A VALID CC PARAMETER. 
                     CTLIO     - RECOGNIZE FTN5 DDLCOMP VALUE AS VALID
                     DML       - RECOGNIZE *LV* PARAMETER ON DML CONTROL
                                 CARDS OR SET TO DEFAULT VALUE IF ABSENT
                     DMLDAGM   - CREATE DIFFERENT FTN VERSION DIAGNOSTIC
                     DMLMAIN   - CHECK FOR INCONSISTENT FORTRAN VERSIONS
                                 BETWEEN SUBSCHEMA AND DML. 
                                 ALTER PRIVACY AND INVOKE CALL STMT 
                                 SKELETONS TO BE COMPATIBLE WITH FTN5 
                     DMLPRV    - MOVE THREE WORD PRIVACY KEY TO 1 PARAM 
                     DMLSYN    - CORRECT SEQUENCE OF SS SYNTAX SCANNING 
                     RELSTAT   - ALTER RELATION USAGE LIST STMTS TO BE
                                 COMPATIBLE WITH FTN5.
          DTC    03/23/79    CNTRL,DML,CBPASS1,DMLMAIN,DMLDAGM,DMLPRV 
                             CBINDEX,RELSTAT,ARG,CBSYN,DMLSYN,CTLIO 
  
 P178     TO INITIALIZE LINE NUMBER TO 1 INSTEAD                        000160
          OF 2 WITH MULTIPLE COMPILATIONS.                              000170
          REF(IJB) 6/29/79   CTLIO                                      000180
 FT55     TO ADD CHARACTER DATA TYPE SUPPORT TO FDBF. 
          PAM    5/14/79     CBPASS1,CBCKCNV,DMLMAIN,CBDIAGM,CBSYN
 P176     CHANGE DIAGNOSTICS IN PASS 2 TO INCLUDE ITEM NAME.
          PAM    6/27/79     CBERROR,CBCKITM,CBCKSS,CBCKOC
                             CBCKEL,CBCKCNV 
 FT54     PROBLEM - FDBF - FORTRAN VERSION 5 FEATURE CODE 
                   ALTER CODE TO SUPPORT AN ERROR BRANCH FEATURE IN 
                   THE FOLLOWING DML STATEMENTS - 
  
                                OPEN,CLOSE,READ,WRITE 
                                DELETE,REWRITE,LOCK,UNLOCK
  
                   ALTER CODE TO SUPPORT AN END-OF-FILE BRANCH FEATURE
                   IN THE FOLLOWING DML STATEMENTS -
  
                                         READ 
  
          SOLUTION - CBINDEX - CREATE AND ISSUE A DATA STATEMENT FOR
                               THE APPLICATION PROGRAM WHICH WILL 
                               INDICATE WHICH FORTRAN VERSION IS USED.
  
                    DMLDAGM - CREATE DIAGNOSTICS -
  
                               128 - INVALID FORTRAN LABEL
                               129 - END= NOT VALID FOR FORTRAN 4 
                               130 - ERR= NOT VALID FOR FORTRAN 4 
                    DMLCLS  - 
                    DMLCLSR - 
                    DMLDEL  - 
                    DMLLCK  - 
                    DMLOPN  - 
                    DMLOPNR - 
                    DMLRD   - CHECK ES FIELD FOR ERROR FROM CDCS. 
                    DMLRDK  - CALL DMLRTRN TO STORE BRANCH VALUE IN X1. 
                    DMLREW  - 
                    DMLRL   - 
                    DMLRLK  - 
                    DMLUNL  - 
                    DMLWRT  - 
                    DMLINV  - DETERMINE THE FORTRAN VERSION FROM THE
                              DATA STMT GENERATED BY CBINDEX AND SET
                              AN EXTERNAL ITEM TO THIS VALUE. 
                    DMLMAIN - 1. CREATE -ERRRTRN- TO CHECK FOR FTN5 AND 
                                 VALID ERR LABEL AND STORE LABEL. 
                              2. CREATE -ENDRTRN- TO CHECK FOR FTN5 AND 
                                 VALID END LABEL AND STORE THE LABEL. 
                              3. IN ROUTINES WHICH WRITE OUT CALL 
                                 STATEMENTS CHECK FOR STORED LABELS AND 
                                 ENTER LABEL IF PRESENT OR BLANK OUT
                                 THE PARAMETER IF NOT.
                              4. ALTER MODESTORE TO SUPPORT MODEPAR 
                                 SYNGEN ROUTINE.
                    DMLRD - COMPLETE ERR= PROCESSING AS MENTIONED ABOVE.
                      +     IF NO ERROR, CHECK FP FIELD FOR END-OF-FILE.
                    DMLRL - CALL DMLRTRN TO STORE BRANCH VALUE IN X1. 
                    DMLRTRN - ACCEPT A PARAMETER FROM THE CALLING 
                             ROUTINE AND STORE THE VALUE IN THE 
                             X1 REGISTER. 
                    DMLSYN - ADD TO ROUTINES PROCESSING STATEMENT - 
  
                                    OPEN,CLOSE,READ,WRITE,REWRITE,
                                    DELETE,LOCK,UNLOCK
  
                             CODE TO CHECK FOR THE ERROR OR POSSIBLY
                             END-OF-FILE PARAMETERS.
                             IF PRESENT, CALL A ROUTINE (ERRRTRN OR 
                             ENDRTRN) TO CHECK AND LOG THE LABEL. 
                             IF INVALID LABEL, PRINT ERROR DIAGNOSTIC.
                    WEOR11 - ADDITIONAL EOR DELIMITER FOR DMLRTRN.
  
          DTC    05/23/79    DMLSYN,DMLDAGM,DMLMAIN,DMLOPN,DMLOPNR, 
                             DMLCLS,DMLCLSR,DMLRD,DMLWRT,DMLREW,DMLDEL, 
                             DMLUNL,DMLRL,DMLRLK,DMLRLK,DMLRDK,DMLLCK,
                             DMLRTRN,DMLINV,CBINDEX,DB0DCLS,WEOR11. 
  
 FDBA060  TO ANSWER RSM 4010
          THIS CODE PROVIDES THE ABILITY TO HAVE VARIABLES OF GREATER 
          THAN 10 CHARACTERS IN FDBF.  SUBSCHEMA ARRAYS OF TYPE INTEGER 
          ARE CONVERTED INTO NON-REPEATING VARIABLES. THE LENGTH OF THE 
          VARIABLE IS EQUAL TO THE TOTAL SIZE OF THE ARRAY. 
          REF    6/29/79     CBCKITM
 P181     TO CORRECT THE PROBLEM OF DOUBLE PRECISION NOT BEING
          RECOGNIZED IF IT IS THE FIRST ITEM IN A RECORD. 
          PAM    7/9/79      CBSYN
 P182     TO CORRECT THE PROBLEM OF A SCHEMA CLASS 0 ITEM ALWAYS
          CONVERTING TO ANY SUBSCHEMA ITEM TYPE.
          PAM    7/5/79      CBCKCNV
 P180     PROBLEM - CORRECT LV PARAMETER DEFAULTS.
                    REMOVE *DEFINE DEBUG COMMAND. 
                    CORRECT SYNGEN STATEMENT. 
          SOLUTION - ALTER LV PARAMETER DEFAULTS IN DML.
                     DELETE SYNGEN CORRECTION LINE. 
          DTC    06/22/79    DML,DMLSYN 
  
 P187     PROBLEM - PRIVACY STATEMENT IS IN ERROR WHEN A VARIABLE IS
                    SUPPLIED AS THE PRIVACY PARAMETER.
          SOLUTION - INSERT PRIVACY PARAMETER AND BLANK OUT REST OF 
                     THE STATEMENT. 
          DTC    07/26/79    DMLMAIN
  
 P183     TO CORRECT THE PROBLEM OF DML PRINTING OUT THE WRONG LINE 
          ON ERROR FILE.
          PAM    7/15/79      CTLSCAN 
 P188     DOUBLE PRECISION MUST BE SPECIFIED IN FTN5 INSTEAD OF JUST
          DOUBLE. 
          PAM    7/24/79     CBSYN,CBPASS1,CBDIAGM
 F55      TO CHANGE DDLF AND DML VERSION NUMBERS FROM 1.1 TO 1.2
          PAM    7/25/79     CTLIO,DMLIO
 FDBA061  TO CORRECT THE PROBLEM OF FDBF GENERATING IMPROPER COMMON 
          BLOCK NAMES IF MORE THAN 9 AREAS ARE SPECIFIED. 
          NOTE:  IF THIS FIX IS TO BE APPLIED TO FDBF 1.1, CHANGE THE 
          DELETE CARD TO    *D P109.7 
          PAM    7/26/79     CBPASS1
 P191     TO CORRECT THE PROBLEM OF DMLSYN NOT USING +SNW CORRECTLY.
          PAM    8/10/79     DMLSYN,DMLDAGM 
 P184     PROBLEM - INVALID DIMENSION BOUNDS (D130) FOLLOWED IMMEDIATELY000120
                    BY AN END STATEMENT CAUSES DIAGNOSTIC 165 TO BE     000130
                                                                        000140
                    ISSUED (COBOL DIAGNOSTIC)                           000150
          SOLUTION - DELETE LEVEL/OCCURS CHECK FROM ENDSS OF CBPASS1    000160
          DTC    7/17/79     CBPASS1                                    000170
          SRN = (P184)                                                  000180
                                                                        000190
          PROBLEM -  UNABLE TO GENERATE MAP OR FULL OBJECT LISTING      000530
                     WITHOUT *DS* OPTION.                               000540
          SOLUTION -  ALTER *C$ LIST* DIRECTIVE TO PRINT ALL            000550
                      STATEMENTS.                                       000560
          DTC    07/27/79    DMLMAIN                                    000570
          SRN = (P193)                                                  000580
                                                                        000590
 FDBA063  PROBLEM - EOI NOT FLAGGED FOR READ RELATION SEQUENTIAL WHEN   000670
                    EOI IS ENCOUNTERED ON ROOT FILE.                    000680
          SOLUTION - REMOVE RETURN STMT AFTER EOI CHECK ON ROOT FILE.   000690
          DTC    8/9/79      DMLRL                                      000700
          SRN=(FDBA063)                                                 000710
P189      PROBLEM - FDBF 1.2 NOT COMPATIBLE WITH DML 1.1 OBJECT CODE
                    BECAUSE IT SENDS TOO FEW PARAMETERS TO DMLPRV.
                    VARIABLE PRIVACY KEY CAUSES ERROR FOR SAME REASON.
          SOLUTION - CREATE A FLAG FROM FILLER PARAMETER TO SPECIFY 
                     ONE OR THREE PRIVACY PARAMETERS (DEFAULT IS ONE).
                     CREATE ANOTHER FLAG FROM FILLER TO SPECIFY FTN 5 
                     VARIABLE PRIVACY PARAMETER. THIS FLAG WILL SPECIFY 
                     WHEN A CHARACTER VARIABLE MAY BE PRESENT AND ALLOW 
                     US TO REFORMAT THE PARAMETER TO WORD BOUNDS IF 
                     NECESSARY. 
          DTC    07/27/79    DMLMAIN,DMLPRV,DMLPRVC 
          SRN = (P189)
  
 *L508*    ************************************************ 
 FDBA069  PROBLEM - DML GENERATES STATEMENTS WITH PARENTHESIS 
                    BEFORE ERR PARAMETER. 
          SOLUTION - WRITE COMMA AND PARENTHESIS WHEN WRITING ERR 
                     PARAMETER. 
          DTC    08/29/79    DMLMAIN
          SRN = (FDBA069) 
  
 *L514*    ************************************************ 
 FDB*80   PROBLEM - COPYRIGHT INFORMATION BECOMMING OUT OF DATE.
          SOLUTION - UPDATE COPYRIGHT LINES.
          DTC    10/16/79    CNTRL,DML
          SRN = (FDB*80)
 FDBA070  PROBLEM - DML PREPROCESSOR FAILS TO RECOGNIZE *ALIASED* REALM 
                    NAMES WHEN *REALM ALL* DIRECTIVE SPECIFIED IN THE 
                    SUB-SCHEMA. 
          SOLUTION - ALTER SUB-SCHEMA COMPILER TO COMPARE SCHEMA REALM
                     NAME TO OLD SUB-SCHEMA NAME. IF A MATCH EXISTS 
                     SET UP THE AREA ENTRY COMPLETE WITH AN ALIAS ENTRY.
          DTC    10/04/79    CBPASS1
  
 FDBA071  PROBLEM - DDLF GETS MODE 0 IN LOADOVL ON A-170 COMPUTER.
          SOLUTION - MODIFY THE *EQ MOD* TO A *RJ MOD* TO VOID THE
                     INSTRUCTION STACK. 
          DTC    10/24/79    LOADOVL
  
 FDBA072  PROBLEM - THE READ DIRECTIVE CANNOT BE USED FOR 
                    POSITIONING A RELATION WHEN RESTRICTS EXIST.
          SOLUTION - CREATE A START DIRECTIVE TO POSITION BOTH
                     A REALM AND RELATION.
          DTC    11/20/79    DMLSYN,DMLMAIN,DMLRST,DMLSTR 
          SRN=(RSM4007) 
  
 FDBA076  PROBLEM - DDLF ABORTS WITH MEM ARG ERROR IF PASS3 TRIES 
                    GET MORE FIELD LENGTH.
          SOLUTION - CHANGE CBPASS3 SO THAT IT CALLS MEMORY WITH TOTAL
                     FL TO BE REQUESTED INSTEAD OF DIFFERENCE BETWEEN 
                     OLD FL AND NEW FL. 
          DTC    12/11/79          CBPASS3
          SRN = (133259)
  
 F2647FB PROBLEM - CDCS REQUIRES A CHANGE IN THE FORMAT OF THE
                    PRIMARY/ALTERNATE KEY PARAMETER.
          SOLUTION - ALTER PARAMETER TO HOLD RECORD ORDINAL (BITS 36-47)
                     AND ITEM ORDINAL (BITS 48-59) AND ZERO FILL. 
          DTC    12/05/79    DMLDEL,DMLRDK,DMLREW,DMLRLK,DMLWRT 
          SRN = (F2647FB) 
  
 F2829FB02 PROBLEM - PASS 1 CONTAINS A GREAT DEAL OF DEAD CODE. 
          SOLUTION - DELETE THE DEAD CODE.
          DTC    12/05/79    CBPASS1,CBSYN,LOADOVL,CREATEB
          SRN = (F2829FB02) 
  
 F2829FB01 PROBLEM - DDL VERSION NUMBER MUST BE UPDATED FOR DDL 3.2 
                     ALONG WITH SEVERAL DEFS WHICH HAVE BEEN REDEFINED. 
          SOLUTION - UPDATE VERSION NUMBER AND ENCODE A COMMON DECK 
                     FOR THE ENTRY HEADER LENGTHS.
          DTC    12/05/79    CBPASS1
          SRN = (F2829FB01) 
  
 FDBA070A PROBLEM - FDBF FAILS TO RECOGNIZE *ALIASED* REALM 
                    NAMES WHEN *REALM ALL* DIRECTIVE SPECIFIED IN THE 
                    SUB-SCHEMA AND OLD REALM NAME GREATER THAN 1
                    WORD IN LENGTH. 
          SOLUTION - CORRECT SUB-SCHEMA COMPILER TO USE THE AREA
                     NAME LENGTH IN WORDS FROM THE SCHEMA FILE AS 
                     A PARAMETER TO THE HASHTABLE ROUTINE.
          DTC    12/14/79    CBPASS1
          SRN = (FEY012)
  
 *L528*    ************************************************ 
 FDBA077  PROBLEM - PASS3 DOES NOT ENFORCE THAT IDENTIFIERS TO THE
                    LEFT AND TO THE RIGHT OF THE OPERATOR ARE SIMILAR 
                    IN TYPE.
          SOLUTION- CHANGE PASS3 TO ENFORCE THE RULE: BOTH IDENTIFIERS
                    MUST BE DISPLAY CODED DATA (CLASS LQ 4) OR MUST BE
                    THE SAME TYPE OF BINARY DATA (SAME CLASS).
               THIS CODE ALSO CHANGES PASS3 TO USE COMDECK *COMHDRLEN*
          DTC       01/28/80       CBPASS3,CBRDAGM
  
 FDBA078  PROBLEM - DIAGNOSTIC 198 DOES NOT APPEAR WITH DIAGNOSTIC 132. 
          SOLUTION - RECORD SIZE CHECKS ARE MADE IN THE SCHEMA AND
                     SUB-SCHEMA ITEMS CANNOT BE CREATED OR BE LARGER
                     THAN THEIR CORRESPONDING SCHEMA ITEM SIZE, A 
                     SUB-SCHEMA RECORD SIZE CHECK IS THEREFORE
                     REDUNDANT. A CHECK FOR SUB-SCHEMA OCCURRANCE 
                     BEYOND MAXIMUM IS ALSO REDUNDANT AND WILL BE 
                     REMOVED ALONG WITH THE RECORD SIZE CHECK.
          DTC    02/20/80    CBSIZE,FTPASS1,FTDIAGM,FTSYNTX 
          SRN = (134917)
  
 FDBA079  PROBLEM - THE *SB* DEFAULT DIFFERS IN DDLF AND DML. 
          SOLUTION - MOVE MISSPLACED *END* IN DML.
                     DEFINE DEFAULT *SB* VALUE AS *SBLFN* IN DML. 
                     CREATE DAYFILE MESSAGES TO PRINT OUT ERRONEOUS 
                     CONTROL CARD PARAMETERS. 
          DTC    02/19/80    DML,DMLIO,ARG,CTLIO
          SRN = (8) 
  
 FDBA080  PROBLEM - READ RELATION TAKES *END* BRANCH WHEN 
                    AN AREA OR FILE OTHER THAN THE ROOT REACHES EOF.
          SOLUTION - ALTER DMLRL TO CHECK ONLY THE ROOT FILE FOR EOF. 
                     RESET THE RETURN PARAMETER UPON ENTRY TO MAKE THE
                     READ ROUTINES REENTRANT. 
          DTC    03/05/80    DMLRL,DMLRD
          SRN = (MES005)
  
 FDBA081  PROBLEM - A MISPLACED OR INVALID REALM STATEMENT YIELDS A 
                    CONFUSING DIAGNOSTIC AND DEFAULTS TO *ALL* WHICH
                    LEADS TO FURTHER ERRORS IN SOME CASES.
          SOLUTION - FLAG AN INVALID STATEMENT WHEN REALM OR ALIAS IS 
                     EXPECTED AND SKIP TO THE NEXT STATEMENT. 
          DTC    03/07/80    FTDIAGM,FTSYNTX
  
 FDBA082  PROBLEM - THE PREPROCESSOR WRITES GARBAGE TO THE DMLOUT FILE
                    IF THE SUB-SCHEMA HAS BLANK LINES BEFORE THE
                    SUBSCHEMA STATEMENT.
          SOLUTION - LOOP TO ANOTHER READ (GET) IF THE PREVIOUS READ
                     YIELDS A ZERO RECORD LENGTH WHILE WRITING THE
                     DMLOUT OR TRACE FILES. 
          DTC    03/18/80    DMLIO,CTLIO
  
          PROBLEM -- WHEN USING ERR=/END= PARAMETER WITH DML AND
                THE ERR=/END= IS NOT USED ON ALL READS, FDBF PRODUCES 
                A BAD CALL TO THE DML READ ROUTINE. 
          SOLUTION -- INSERT CODE IN DMLMAIN TO OVERWRITE THE 
                 SPACE BEFORE THE ERR PARAMETER IN THE READ STATEMENT.
          HSW    05/05/80    DMLMAIN
  
 FDBA084  PROBLEM - DDLF SETS KL IN FIT TO THE SCHEMA ITEM SIZE 
          INSTEAD OF SUBSCHEMA ITEM SIZE. THIS CAUSES MAPPING ERRORS
          AT RUN TIME IF THE SUBSCHEMA ITEM SIZE IS GREATER THAN THE
          SCHEMA ITEM SIZE. 
          SOLUTION - FIX FTINDEX TO SET KL TO SBITEMUSESIZE 
          JGS    05/08/80          CBINDEX
  
 *L538*    ************************************************ 
         THIS IDENT UPDATES COPYRIGHT INFORMATION 
         TO 1981. 
         HSW     08/12/80     DML,CNTRL 
  
FDB0007   PROBLEM - 
           1) REALM ALL DOES NOT WORK - THE LENGTH IN WORDS OF THE REALM
          NAME IS BEING SET TO AN ILLEGAL VALUE.
           2) IF AN ITEM IS ALIASED TO THE SAME NAME AS THAT OF AN AREA,
          DIAGNOSTIC 122 IS ISSUED WHEN THE RECORD FOR THAT AREA IS 
          REFERENCED IN THE SUBSCHEMA - SEMANTIC ROUTINE  REALMALIAS
          DOES NOT CHECK IF THE TYPE OF THE ALIAS ENTRY IS AREA (REALM).
          IT JUST ACCEPTS THE FIRST ENTRY WHOSE NAME MATCHES THE ONE IN 
          CURWORD.
          SOLUTION -
           1) SET THE REALM NAME LENGTH IN WORDS (SBARLENGWRDS) TO THE
          SAME VALUE AS THE ONE SPECIFIED IN THE SCHEMA DIRECTORY FOR 
          AREA NAME (SCHAREANAMEL). 
           2) CHECK THAT THE TYPE OF THE ALIAS ENTRY POINTED TO FROM
          THE HASHTABLE IS OF TYPE AREA. IF IT IS NOT, FOLLOW THE 
          SYNONYM CHAIN UNTIL A MATCHING ENTRY TYPE, OR THE END OF THE
          CHAIN IS FOUND. IF THE END IS FOUND, THEN THERE IS NO ALIAS FOR 
          THIS REALM NAME.
          JGS    80/11/12          CBPASS1
  
 *L552*    ************************************************ 
 FDBA087  PROBLEM - FOR A DML/FORTRAN PROGRAM WITH MULTIPLE INVOKES 
                    SEPARATED BY TERMINATES, THE DML PREPROCESSOR 
                    MISHANDLES THE FIT KA FIELD FOR THE SECOND AND
                    EACH SUBSEQUENT INVOKE, CONSEQUENTLY CAUSING A
                    CM OUT OF RANGE ERROR.
          SOLUTION - INSERT CODE IN DMLMAIN TO PRESET THE FIT KA
                     FIELD TO THE KEY POSITION IN THE RECORD.  THIS 
                     FIX WILL ENSURE THAT EACH TIME A DML INVOKE
                     STATEMENT IS USED, THE KA FIELD WILL BE RESET
                     BEFORE IT IS ADDED TO THE FIT WSA FIELD. 
          HSW    08/18/80     DMLMAIN 
  
 F2648    FDBF 1.3 (CPS R9) 
          THE DML PREPROCESSOR AND THE OBJECT TIME ROUTINES ARE 
          CHANGED TO ACCEPT NEW AND MODIFIED COMMANDS, IN SUPPORT 
          OF THE NEW CDCS FEATURES. 
            - FOR DATABASE VERSIONS, ADD PROCESSING FOR THE NEW 
              VERSION COMMAND.  ALLOW SPECIFICATION OF A VERSION
              NAME ON AN INVOKE COMMAND, USING A NEW OBJECT-TIME
              ROUTINE.
           -  FOR AUTOMATIC RECOVERY, ADD PROCESSING FOR THE COMMANDS 
              BEGINTRAN, COMMITTRAN, DROPTRAN, ASSIGNED AND FINDTRAN. 
              MODIFY THE LOCK COMMAND PROCESSING, USING A NEW OBJECT- 
              TIME ROUTINE. 
           SYNTAX CODE FOR THE PRE-PROCESSOR IS ADDED TO DMLSYN 
           (SYNGEN CODE), DMLMAIN (SEMANTIC ROUTINES CALLED BY THE
           SYNGEN CODE), AND DMLDAGM (NEW DIAGNOSTICS). 
           CTLIO AND DMLIO ARE MODIFIED TO UPDATE THE FDBF VERSION
           NUMBER TO "1.3". 
          HSW    81/06/01    DECKS MODIFIED  DMLMAIN,DMLDAGM,DMLSYN,
                                             DMLINV,DMLIO,CTLIO,DMLEND, 
                                             CTLSCAN
                             NEW DECKS       DMLINVV,DMLVERS,DMLLCKP, 
                                             DMLFIND,DMLDRP,DMLCMT, 
                                             DMLGTID
  
 FDB*82 
         THIS IDENT UPDATES COPYRIGHT INFORMATION 
         TO 1982. 
         PJR     09/03/81     DML,CNTRL 
  
 *L564*    ************************************************ 
  
 FDBA093  PROBLEM  - FDBF DOES NOT SUPPORT THE IMMEDIATE RETURN 
                     CAPABILITY OF CDCS 2.3.
          SOLUTION - A NEW OBJECT-TIME ROUTINE, DMLSIR, IS ADDED TO 
                     SUPPORT CDCS IMMEDIATE RETURN. 
          EPJ     82/01/12   NEW DECK:  
                             DMLSIR 
  
 FDBA094  PROBLEM  - THE CDCS OBJECT-TIME ROUTINE DB$DROP IS EXTERNALLY 
                     REFERENCED AS DB$DRP IN THE FDBF DMLDRP ROUTINE. 
          SOLUTION - CHANGE OCCURRENCES OF DB$DRP TO DB$DROP IN DMLDRP. 
          SPL     82/01/20   DMLDRP 
  
 FDBA095  PROBLEM  - FORTRAN STATEMENT LABELS ARE LOST ON DML COMMANDS. 
          SOLUTION - ADD CODE TO PROCESS FORTRAN STATEMENT LABELS.
          SPL     82/01/25   DMLMAIN
  
 FDBA096  PROBLEM  - IN DML, WHEN A "NEWVERSION" COMMAND IS SPECIFIED,
                     THE NEXT STATEMENT IN THE FORTRAN PROGRAM WILL BE
                     CHANGED TO A COMMENT, EVEN IF IT IS A REGULAR
                     FORTRAN STATEMENT. 
          SOLUTION - IN THE VERSION SECTION OF DMLSYN, CALL SEMANTIC
                     ROUTINE "COMMENT" BEFORE THE ENTIRE "NEWVERSION" 
                     STATEMENT IS CRACKED (INSTEAD OF AFTER). 
          PAM     82/01/28   DMLSYN 
  
 *L577*    ************************************************ 
 *L587*    ************************************************ 
 *L601*    ************************************************ 
 F2672    FDBF CONCATENATED KEY SUPPORT FEATURE.
          THIS CODE ALLOWS THE USE OF CONCATENATED KEYS AND MAJOR KEYS. 
          THE FOLLOWING ROUTINES HAVE BEEN ENHANCED:  
  
          CBBLDDC - PROCEDURE CONCTKY VERIFIES THAT ALL ELEMENTS OF A 
                    CONCATENATED KEY APPEAR IN THE SUBSCHEMA. 
                    RETRIEVE EACH CONSTITUENT ITEM OF THE CONCATENATED
                    KEY FROM THE KEY ENTRY IN THE DATA CONTROL.  CONVERT
                    ITS ADDRESS TO A SUBSCHEMA ADDRESS AND VERIFY THAT
                    IT IS DEFINED IN THE SUBSCHEMA AND THAT BOTH ITEMS
                    ARE IDENTICAL IN SIZE AND TYPE.  SET BOTH THE BWP 
                    AND BCP IN THE KEY ENTRY TO THE FIRST ITEM.  FORMAT 
                    THE SUBSCHEMA OUTPUT TO PRINT THE CONCATENATED KEY
                    NAME AND ITS CONSTITUENT ITEMS. 
  
          CBERROR - ADD ERROR DIAGNOSTICS 313(ITEM DOES NOT QUALIFY 
                    IN A VALID CONCATENATED KEY) AND 316(THE PRIMARY
                    CONCATENATED KEY ITEM NOT FOUND IN SUBSCHEMA) 
  
          CBINDEX - MODIFY THE FIT KL TO USE THE KEY SIZE FROM THE
                    KEY ENTRY OF THE DATA CONTROL FOR CONCATENATED
                    KEYS. 
  
          DMLDAGM - ADD ERROR DIAGNOSTIC 138(ITEM IN MAJOR KEY IS 
                    INVALID)
  
          DMLSTR  - MODIFY THE PARAMETER LIST OF THE CALL STATEMENT TO
                    INCLUDE THE MAJOR KEY LENGTH. 
  
          DMLRST  - MODIFY THE PARAMETER LIST OF THE CALL STATEMENT TO
                    INCLUDE THE MAJOR KEY LENGTH. 
  
          DMLSYN  - MODIFY BOTH THE START AND READ SECTIONS TO PROCESS
                    A CONCATENATED KEY OR A MAJOR KEY(FOR START ONLY).
                    MODIFY THE INVOKE SECTION TO PRINT THE '*** DML 
                    ERROR' MESSAGE ON DMLOUT AFTER EACH DIAGNOSTIC. 
  
          DMLMAIN - MODIFICATIONS TO THE STARTCALL AND RSTCALL
                    PROCEDURES TO FORMAT THE MKL INTO THE PARAMETER 
                    LIST. 
                    MODIFICATIONS TO PROCEDURE KEYNAME TO PROCESS A 
                    CONCATENATED KEY AND A MAJOR KEY LIST IN A START
                    STATEMENT.
                    ADD ANOTHER PROCEDURE READKEY TO PROCESS BOTH AN
                    IMBEDDED KEY AND A CONCATENATED KEY IN A READ 
                    STATEMENT.
          ASE     83/04/18   CBBLDDC, CBERROR, CBINDEX, DMLMAIN,
                             DMLSYN, DMLSTR, DMLRST, DMLDAGM
  
 FDBA098  PROBLEM  - CODE IS NEEDED IN DDLF TO SUPPORT 8 LINES PER INCH 
                     PRINT DENSITY. 
          SOLUTION - ADD THE CODE TO SUPPORT 8 LINES PER INCH PRINT 
                     DENSITY. 
          EPJ     83/04/29    ARG, CTLIO
  
 FDBA099  PROBLEM  - THE ERR PARAMETER OF THE DMLRST CALL STATEMENT 
                     IS FORMATTED INCORRECTLY DUE TO INSERTING IT 
                     IN THE WRONG CHARACTER POSITION. 
          SOLUTION - INSERT THE ERR PARAMETER IN THE CORRECT CHARACTER
                     POSITION OF THE DMLRST CALL STATEMENT. 
          ASE     83/05/27   DMLMAIN
  
 *L617*    ************************************************ 
 FDBA101  PROBLEM  - CHANGES IN DDL MADE IN RESPONSE TO DL30040 
                     MUST ALSO BE MADE IN FDBF. 
          SOLUTION - MAKE CORRESPONDING CHANGES IN FDBF.
          GFK     82/11/01   CBSTBCK
  
 *L628*    ************************************************ 
 FDB0018  PROBLEM  - CDCS RETURNS ERROR 671, BAD RELATION ORDINAL,
                     FOLLOWING RELATIONAL READ. 
          SOLUTION - IF ANY OF THE RELATION USAGE LIST ENTRIES HAVE BEEN
                     PROCESSED, WHETHER THE RELATION HAS RESTRICT OR
                     NOT, THEN ADD 1 TO SUBSCRIPT TO BYPASS HEADER WORD 
                     OF THE NEXT RELATION.
          KIM   08/15/84   DMLMAIN
  
 *L642*    ************************************************ 
 FDBA102  PROBLEM  - FORTRAN 4 WILL NO LONGER BE SUPPORTED BY LEVEL 617.
                     DEFAULT FORTRAN VERSION WILL BE FORTRAN 5. 
                     FORTRAN 4 IS OPTIONALLY SELECTED.
          SOLUTION - CHANGES ARE MADE TO FDBF TO INTERFACE WITH 
                     FORTRAN 5, AND CAN OPTIONALLY SET COMPILATION
                     LANGUAGE MODE TO FORTRAN 4.
          KIM  84/11/27     ARG, DML
  
 *L650*    ************************************************ 
 FDB0029  PROBLEM  - LINE IDENTIFIERS FROM UPDATE/MODIFY ARE BEING
                     TRUNCATED IN THE OUTPUT OF THE DML PRECOMPILER.
                     THE INPUT FILE IS OPENED TO ALLOW 90 CHARS, BUT
                     THE LINE WAS TRUNCATED IN CTLSCAN WHEN MOVED TO
                     ITEM OUTLINE.
          SOLUTION - CORRECT THE SIZE OF THE OUTPUT LINE CHARACTER
                     VARIABLE TO MATCH THE SIZE OF THE INPUT LINE 
                     (90 CHARS).
          CFR/RLM 85/05/13   CTLSCAN
  
 *L670*    ************************************************ 
 FDBA108  PROBLEM  - WHEN ALIAS-NAME-1 AND ALIAS-NAME-2 ARE HASHED
                     INTO A SAME SLOT, DDLF SUBSCHEMA COMPILATION 
                     ABORTS WITH ERROR RM 120 ON LFN ZZZZZCB. 
                     THE *CBHASHN* PROCEDURE WAS CALLED TO HASH THE 
                     ALIAS-NAME-1, AND SET FLAG IN THE SYMBOL TABLE.
                     THE *CBHASHN* WAS CALLED AGAIN TO HASH TO ALIAS- 
                     NAME-2, AND FOUND THAT THE FLAG WAS ON.  SO THE
                     ALIASBUF WAS SEARCHED FOR THE DUPLICATE ENTRY, 
                     AND PICKED UP A GARBAGE AT THE HASHED LOCATION.
          SOLUTION - DO NOT SEARCH THE ALIASBUF IF THE FLAG IS ON,
                     AND ALIAS-NAME-2 CARRIES A SAME -ID- AS THE
                     ALIAS-NAME-1.
  
          KIM     86/05/23   CBPASS1
  
 *L688*    ************************************************ 
 *L716*    ************************************************ 
 *L739*    ************************************************ 
 FDB0032  PROBLEM  - FDBF PRODUCES MORE THAN 19 CONTINUATION LINES
                     ON A DATA STATEMENT WHEN THERE ARE 19 OR MORE
                     RELATIONS IN A SUBSCHEMA.
          SOLUTION - PRODUCE A DATA STATEMENT FOR EACH WORD OF THE
                     ARRAY THAT IS BEING PRESET.
          RLM     88/08/26   RELSTAT
  
 *L780*    ************************************************ 
 FDB0033  PROBLEM  - CDCS ERROR 610 OCCURS ON A REWRITE.
                     FDBF SAVES THE PRIMARY KEY DEFINITION WHEN IT
                     INVOKES CDCS.
                     IF CDCS IS TERMINATED FOLLOWING AN OPERATION ON
                     AN ALTERNATE KEY AND THEN INVOKES AGAIN, THE 
                     ALTERNATE KEY DEFINITION IS STORED.
                     THIS CAUSES FDBF TO PASS A GARBAGE KEY ON AN 
                     UPDATE.
          SOLUTION - SAVE THE PRIMARY KEY DEFINITION ONLY ON THE FIRST
                     INVOKE.
          RLM     89/12/29   DMLINV 
  
 FDB0034  PROBLEM  - MONITOR CALL ERROR OCCURS ON THE FIRST REALM OF
                     THE SUBSCHEMA AFTER THE SECOND INVOKE. 
          SOLUTION - RECORD THE FTN VERSION ON THE FIRST INVOKE ONLY. 
          RLM     90/03/27   DMLINV 
  
 PSRLEVEL  ADD PSRLEVEL TO CTLIO AND DMLIO FOR FDBF.
           BAO     92/10/02    CTLIO,DMLIO
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
  
  
